OpenVDB 12.1.0

Loading...
Searching...
No Matches
LeafTopologyDiffOp< TreeType1, TreeType2 > Class Template Reference

Functor for use with tools::foreach() to compute the boolean difference between the value masks of corresponding leaf nodes in two trees. More...

`#include <openvdb/util/Util.h>`

## Public Member Functions
| LeafTopologyDiffOp (const TreeType2 &tree)
void | operator() (const typename TreeType1::LeafIter &lIter) const

## Detailed Description

template<class TreeType1, class TreeType2>
class openvdb::v12_1::util::LeafTopologyDiffOp< TreeType1, TreeType2 >

Functor for use with tools::foreach() to compute the boolean difference between the value masks of corresponding leaf nodes in two trees.

## Constructor & Destructor Documentation

## ◆ LeafTopologyDiffOp()

template<class TreeType1, class TreeType2>

LeafTopologyDiffOp | ( | const TreeType2 & | tree | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template<class TreeType1, class TreeType2>

void operator() | ( | const typename TreeType1::LeafIter & | lIter | ) | const
| inline